#ifndef	_SMARTIO_H_
#define	_SMARTIO_H_

#include <sys/ioctl.h>
#define	DEV_VER		"/dev/sio0"
#define	DEV_PORTA	"/dev/sio1"
#define DEV_PORTB	"/dev/sio2"
#define DEV_PORTC	"/dev/sio3"
#define DEV_PORTD	"/dev/sio4"
#define	DEV_SELOPT	"/dev/sio5"
#define	DEV_BACKLITE	"/dev/sio6"
#define	DEV_KEYPAD	"/dev/sio7"
#define	DEV_ADC		"/dev/sio8"
#define	DEV_VEE		"/dev/sio9"
#define	DEV_UCB_IO	"/dev/sio20"
#define	DEV_UCB_ADC0	"/dev/sio30"
#define	DEV_UCB_ADC1	"/dev/sio31"
#define	DEV_UCB_ADC2	"/dev/sio32"
#define	DEV_UCB_ADC3	"/dev/sio33"

#define SMARTIO_IOCTL_BASES     's'
#define	SMARTIO_DUMMY_VALUE	_IOW(SMARTIO_IOCTL_BASES, 0, int)
#define SMARTIO_KPD_TIMEOUT     _IOW(SMARTIO_IOCTL_BASES, 0, int)
#define SMARTIO_KPD_SETUP       _IOW(SMARTIO_IOCTL_BASES, 1, short)
#define SMARTIO_BL_CONTROL      _IOW(SMARTIO_IOCTL_BASES, 2, char)
#define SMARTIO_BL_CONTRAST     _IOW(SMARTIO_IOCTL_BASES, 3, char)
#define SMARTIO_PORT_CONFIG     _IOW(SMARTIO_IOCTL_BASES, 4, char)

typedef struct sio_ver {
	unsigned int	DeviceVer;
	unsigned int	DeviceType;
	unsigned int	FirmwareLevel;
}	t_sio_ver;
#endif
